Bug 1255537 - (php-composer-installers) Review Request: php-composer-installers - A multi-framework Composer library installer
Review Request: php-composer-installers - A multi-framework Composer library ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 16:44 EDT by Shawn Iwinski
Modified: 2015-09-10 16:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0.21-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-05 21:10:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpci.log (13.14 KB, text/plain)
2015-08-22 09:09 EDT, Remi Collet
no flags Details
review.txt (6.72 KB, text/plain)
2015-08-22 09:10 EDT, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2015-08-20 16:44:47 EDT
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/2d2906cd31b1a5f220a91de2bcca14d4ecb309e5/php-composer-installers/php-composer-installers.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-composer-installers-1.0.21-1.fc22.src.rpm

Description:
This is for PHP package authors to require in their composer.json. It will
install their package to the correct location based on the specified package
type.

The goal of installers is to be a simple package type to install path map.
Users can also customize the install path per package and package authors
can modify the package name upon installing.

installers isn't intended on replacing all custom installers. If your package
requires special installation handling then by all means, create a custom
installer to handle it.


Fedora Account System Username: siwinski
Comment 1 Remi Collet 2015-08-22 09:09:33 EDT
Created attachment 1065826 [details]
phpci.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:09:02 CEST static analyze results
Comment 2 Remi Collet 2015-08-22 09:10:10 EDT
Created attachment 1065827 [details]
review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Comment 3 Remi Collet 2015-08-22 09:11:38 EDT
Perhaps shipping the autoload.php is not needed (as in "Composer" namespace, will be handled by the main composer autoloader), but it is of course required to bootstrap the test suite.


No blocker.


=== APPROVED ===
Comment 4 Shawn Iwinski 2015-08-22 15:16:06 EDT
THANKS for the review!



New Package SCM Request
=======================
Package Name: php-composer-installers
Short Description: A multi-framework Composer library installer
Upstream URL: https://github.com/composer/installers
Owners: siwinski
Branches: f21 f22 f23 epel7
InitialCC:
Comment 5 Gwyn Ciesla 2015-08-23 17:38:46 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2015-08-24 15:29:06 EDT
php-composer-installers-1.0.21-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14152
Comment 7 Fedora Update System 2015-08-24 15:29:15 EDT
php-composer-installers-1.0.21-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14153
Comment 8 Fedora Update System 2015-08-24 15:29:25 EDT
php-composer-installers-1.0.21-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7773
Comment 9 Fedora Update System 2015-08-24 15:29:35 EDT
php-composer-installers-1.0.21-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14154
Comment 10 Fedora Update System 2015-08-24 17:54:02 EDT
php-composer-installers-1.0.21-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-composer-installers'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14154
Comment 11 Fedora Update System 2015-08-24 17:56:17 EDT
php-composer-installers-1.0.21-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-composer-installers'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14153
Comment 12 Fedora Update System 2015-08-24 18:21:59 EDT
php-composer-installers-1.0.21-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-composer-installers'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14152
Comment 13 Fedora Update System 2015-08-25 00:20:58 EDT
php-composer-installers-1.0.21-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-composer-installers'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7773
Comment 14 Fedora Update System 2015-09-05 21:10:50 EDT
php-composer-installers-1.0.21-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-09-06 00:50:09 EDT
php-composer-installers-1.0.21-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-09-06 02:20:36 EDT
php-composer-installers-1.0.21-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-09-06 13:06:02 EDT
php-composer-installers-1.0.21-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-09-10 16:34:24 EDT
php-composer-installers-1.0.21-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.